Codevisor Docs
Api reference

PUT Harnesses Custom

PUT/v1/harnesses/custom

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

harnesses*array<>

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X PUT "https://example.com/v1/harnesses/custom" \  -H "Content-Type: application/json" \  -d '{    "harnesses": [      {        "id": "string",        "name": "string",        "command": "string"      }    ]  }'
[  {    "id": "string",    "name": "string",    "symbolName": "string",    "source": "string",    "launchKind": "executable",    "enabled": true,    "desiredEnabled": true,    "readiness": {      "state": "ready",      "detail": "string",      "path": "string",      "version": "string"    },    "auth": {      "state": "checking",      "activeAccountId": "string",      "accounts": [        {          "id": "string",          "harnessId": "string",          "profileKind": "default",          "label": "string",          "email": "string",          "organizationId": "string",          "authMethod": "string",          "authState": "checking",          "isActive": true,          "canLogin": true,          "canLogout": true,          "lastCheckedAt": "string",          "detail": "string"        }      ],      "loginMethods": [        {          "id": "string",          "name": "string",          "description": "string",          "kind": "browser"        }      ],      "supportsMultipleAccounts": true,      "detail": "string"    },    "installHint": "string",    "installMethods": [      {        "id": "string",        "kind": "brew",        "label": "string",        "command": "string",        "available": true,        "recommended": true      }    ],    "updateInfo": {      "installedVersion": "string",      "latestVersion": "string",      "updateAvailable": true,      "source": "string",      "installOrigin": "string",      "channel": "string",      "checkedAt": "string"    },    "lifecycle": {      "phase": "idle",      "targetVersion": "string",      "methodId": "string",      "terminalId": "string",      "error": "string",      "startedAt": "string"    }  }]
{  "error": "string"}
{  "error": "string"}
{  "error": "string"}
{  "error": "string"}
{  "error": "string"}
{  "error": "string"}